Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.xensource.xenapi
Enum Types.OnCrashBehaviour

    java.lang.Object
      java.lang.Enum<Types.OnCrashBehaviour>
          com.xensource.xenapi.Types.OnCrashBehaviour

All Implemented Interfaces:
  Serializable, Comparable<Types.OnCrashBehaviour>

Enclosing class:
  Types

    public static enum Types.OnCrashBehaviour

extends Enum<Types.OnCrashBehaviour>

Enum Constant Summary
`COREDUMP_AND_DESTROY` record a coredump and then destroy the VM state
`COREDUMP_AND_RESTART` record a coredump and then restart the VM
`DESTROY` destroy the VM state
`PRESERVE` leave the crashed VM paused
`RENAME_RESTART` rename the crashed VM and start a new copy
`RESTART` restart the VM
`UNRECOGNIZED` The value does not belong to this enumeration

Method Summary
`String` | `toString()`
`static Types.OnCrashBehaviour` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Types.OnCrashBehaviour[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### UNRECOGNIZED

    public static final Types.OnCrashBehaviour UNRECOGNIZED

  The value does not belong to this enumeration

### DESTROY

    public static final Types.OnCrashBehaviour DESTROY

  destroy the VM state

### COREDUMP_AND_DESTROY

    public static final Types.OnCrashBehaviour COREDUMP_AND_DESTROY

  record a coredump and then destroy the VM state

### RESTART

    public static final Types.OnCrashBehaviour RESTART

  restart the VM

### COREDUMP_AND_RESTART

    public static final Types.OnCrashBehaviour COREDUMP_AND_RESTART

  record a coredump and then restart the VM

### PRESERVE

    public static final Types.OnCrashBehaviour PRESERVE

  leave the crashed VM paused

### RENAME_RESTART

    public static final Types.OnCrashBehaviour RENAME_RESTART

  rename the crashed VM and start a new copy

Method Detail

### values

    public static Types.OnCrashBehaviour[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Types.OnCrashBehaviour c : Types.OnCrashBehaviour.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Types.OnCrashBehaviour valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<Types.OnCrashBehaviour>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD